Bug 440677 - Review Request: lua-posix - A POSIX library for Lua
Review Request: lua-posix - A POSIX library for Lua
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jason Tibbitts
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-04-04 09:55 EDT by Tim Niemueller
Modified: 2010-11-07 10:39 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-04-08 18:16:53 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
tibbs: fedora‑review+
tibbs: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Tim Niemueller 2008-04-04 09:55:18 EDT
Spec URL: http://fedorapeople.org/~timn/luastuff/lua-posix.spec
SRPM URL: http://fedorapeople.org/~timn/luastuff/lua-posix-5.1.2-1.fc8.src.rpm
Description:
This is a POSIX library for Lua which provides access to many POSIX features
to Lua programs.

Website: http://luaforge.net/projects/luaposix/
Comment 1 Jason Tibbitts 2008-04-04 19:34:02 EDT
This package has the same issue with compiler flags and incomplete debuginfo
package.  You can test the debuginfo package by doing a koji scratch build and
looking at the file list; if it doesn't include any source code then something
has gone off.  Another good test is to look through the build log and grep for
lines with cc or gcc that don't contain "FORTIFY_SOURCE".

There's a test script included, but I don't know quite enough about lua to tell
how you would run it or if its possible to run it at build time.  It would be
good to run it if possible.

* source files match upstream:
   f38a5b838495952bae8bd99fde2ac14a21c12947b426f26366a9299766419952  
   luaposix-5.1.2.tar.gz
* package meets naming and versioning guidelines.
* specfile is properly named, is cleanly written and uses macros consistently.
* summary is OK.
* description is OK.
* dist tag is present.
* build root is OK.
* license field matches the actual license.
* license is open source-compatible.
* no license text to include (public domain).
* latest version is being packaged.
* BuildRequires are proper.
X compiler flags are not correct.
* %clean is present.
* package builds in mock (rawhide, x86_64).
* package installs properly
X debuginfo package is incomplete.
* rpmlint is silent.
* final provides and requires are sane:
   lua-posix = 5.1.2-1.fc9
  =
   lua >= 5.1
? %check is not present, but there's some sort of test suite included.  I don't 
  know how to run it, however.
* no shared libraries are added to the regular linker search paths.
* owns the directories it creates.
* doesn't own any directories it shouldn't.
* no duplicates in %files.
* file permissions are appropriate.
* no scriptlets present.
* code, not content.
* documentation is small, so no -doc subpackage is necessary.
* %docs are not necessary for the proper functioning of the package.
* no headers.
* no pkgconfig files.
* no static libraries.
* no libtool .la files.
Comment 2 Tim Niemueller 2008-04-05 05:00:28 EDT
- Fixed CFLAGS, debuginfo package contains source files now
- %check is useless here, the test script will output a bunch of informational
output that the user then has to verify. It will not stop in case of an error.

New SRPM at http://fedorapeople.org/~timn/luastuff/lua-posix-5.1.2-2.fc8.src.rpm
Comment 3 Jason Tibbitts 2008-04-07 19:39:34 EDT
Looks good to me.

APPROVED
Comment 4 Tim Niemueller 2008-04-08 02:58:35 EDT
New Package CVS Request
=======================
Package Name: lua-posix
Short Description: A POSIX library for Lua
Owners: timn
Branches: F-7 F-8
InitialCC: 
Cvsextras Commits: yes
Comment 5 Kevin Fenzi 2008-04-08 14:08:09 EDT
cvs done.
Comment 6 Tim Niemueller 2008-12-21 19:05:57 EST
Package Change Request
======================
Package Name: lua-posix
New Branches: F-9
Owners: timn
Comment 7 Kevin Fenzi 2008-12-22 22:28:28 EST
cvs done.
Comment 8 Tim Niemueller 2010-11-06 20:21:03 EDT
Package Change Request
======================
Package Name: lua-posix
New Branches: el5 el6
Owners: timn
Comment 9 Jason Tibbitts 2010-11-07 10:39:29 EST
Git done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.